플랫폼 지원 (PLATFORM_DATA_viewer)이 이 조직의 데이터 영역을 읽을 수 있는 시간 제한 창 엽니다. ORG_ADMIN이 필요합니다. duration_hours는 선택 사항입니다(24h 기본값 은 생략). 제공된 경우 1~168(7d)여야 하며, 그렇지 않으면 요청 400와 함께 거부됩니다. 다시 부여하면 현재 창 대체합니다.
POST /api/v1/organizations/{id}/support-access
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/support-access' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"duration_hours": 42
}'
요청 예시
{
"duration_hours": 42
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(201)
{
"active": true,
"expires_at": "string",
"granted_at": "string",
"granted_by": "string"
}
응답 예시(201)
{
"active": true,
"expires_at": "string",
"granted_at": "string",
"granted_by": "string"
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}